<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:37:19 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>IJobAndTransactionForDrop (org.eclipse.papyrus.designer.languages.java.reverse.ui 1.0.5 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="IJobAndTransactionForDrop (org.eclipse.papyrus.designer.languages.java.reverse.ui 1.0.5 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/IJobAndTransactionForDrop.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/DiagramNodeCreator.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/Messages.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/IJobAndTransactionForDrop.html" target="_top">Frames</a></li>
<li><a href="IJobAndTransactionForDrop.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd</div>
<h2 title="Interface IJobAndTransactionForDrop" class="title">Interface IJobAndTransactionForDrop</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/AbstractJobAndTransactionForDrop.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd">AbstractJobAndTransactionForDrop</a>, <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/ReverseJobAndTransactionForDrop.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd">ReverseJobAndTransactionForDrop</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">IJobAndTransactionForDrop</span></pre>
<div class="block">This interface provides the methods used in the life cycle of a drop strategy with Job and Transaction.
 
 
 The methods are called in the following order :
 <ul>
 <li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/IJobAndTransactionForDrop.html#init-org.eclipse.gef.Request-org.eclipse.gef.EditPart-"><code>init(Request, EditPart)</code></a></li>
 <li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/IJobAndTransactionForDrop.html#canExecute--"><code>canExecute()</code></a></li>
 <li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/IJobAndTransactionForDrop.html#jobPreprocess-org.eclipse.core.runtime.IProgressMonitor-"><code>jobPreprocess(IProgressMonitor)</code></a></li>
 <li><code>#jobRun()</code></li>
 <li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/IJobAndTransactionForDrop.html#jobPostProcess--"><code>jobPostProcess()</code></a></li>
 <li></li>
 </ul>
 
 This lifecycle is controlled by the <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/AbstractJobAndTransactionalDropStrategy.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd"><code>AbstractJobAndTransactionalDropStrategy</code></a> class.
 The controler will create appropriate Job and transactional command, and call corresponding methods when required.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>cedric dumoulin</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/IJobAndTransactionForDrop.html#canExecute--">canExecute</a></span>()</code>
<div class="block">Check if the Job and its command can be executed.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/IJobAndTransactionForDrop.html#executePreJob--">executePreJob</a></span>()</code>
<div class="block">Method called immediately after the user has drop the dragged object, and before the Job is running.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/IJobAndTransactionForDrop.html#init-org.eclipse.gef.Request-org.eclipse.gef.EditPart-">init</a></span>(org.eclipse.gef.Request&nbsp;request,
    org.eclipse.gef.EditPart&nbsp;targetEditPart)</code>
<div class="block">Initialization from a <code>DropStrategy</code>.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/IJobAndTransactionForDrop.html#jobPostProcess--">jobPostProcess</a></span>()</code>
<div class="block">Method called from the job, after the transactional method.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/IJobAndTransactionForDrop.html#jobPreprocess-org.eclipse.core.runtime.IProgressMonitor-">jobPreprocess</a></span>(org.eclipse.core.runtime.IProgressMonitor&nbsp;monitor)</code>
<div class="block">Method called from the job, before the transactional method.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/IJobAndTransactionForDrop.html#jobRun-org.eclipse.core.runtime.IProgressMonitor-">jobRun</a></span>(org.eclipse.core.runtime.IProgressMonitor&nbsp;monitor)</code>
<div class="block">Run the job in a <code>Transaction</code>.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="init-org.eclipse.gef.Request-org.eclipse.gef.EditPart-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>init</h4>
<pre>void&nbsp;init(org.eclipse.gef.Request&nbsp;request,
          org.eclipse.gef.EditPart&nbsp;targetEditPart)
   throws <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/exception/StopExecutionException.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.exception">StopExecutionException</a></pre>
<div class="block">Initialization from a <code>DropStrategy</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>request</code> - The Strategy request.</dd>
<dd><code>targetEditPart</code> - The <code>EditPart</code> provided by the DropStrategy.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/exception/StopExecutionException.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.exception">StopExecutionException</a></code></dd>
</dl>
</li>
</ul>
<a name="canExecute--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>canExecute</h4>
<pre>boolean&nbsp;canExecute()</pre>
<div class="block">Check if the Job and its command can be executed.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if the Job and its command can be executed, false otherwise.</dd>
</dl>
</li>
</ul>
<a name="executePreJob--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>executePreJob</h4>
<pre>void&nbsp;executePreJob()
            throws <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/exception/StopExecutionException.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.exception">StopExecutionException</a></pre>
<div class="block">Method called immediately after the user has drop the dragged object, and before the Job is running.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/exception/StopExecutionException.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.exception">StopExecutionException</a></code></dd>
</dl>
</li>
</ul>
<a name="jobPreprocess-org.eclipse.core.runtime.IProgressMonitor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jobPreprocess</h4>
<pre>void&nbsp;jobPreprocess(org.eclipse.core.runtime.IProgressMonitor&nbsp;monitor)
            throws <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/exception/StopExecutionException.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.exception">StopExecutionException</a></pre>
<div class="block">Method called from the job, before the transactional method. 
 The method must record the monitor for future use.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>monitor</code> - The monitor provided by the <code>Job</code>.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/exception/StopExecutionException.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.exception">StopExecutionException</a></code></dd>
</dl>
</li>
</ul>
<a name="jobRun-org.eclipse.core.runtime.IProgressMonitor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jobRun</h4>
<pre>void&nbsp;jobRun(org.eclipse.core.runtime.IProgressMonitor&nbsp;monitor)
     throws <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/exception/StopExecutionException.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.exception">StopExecutionException</a></pre>
<div class="block">Run the job in a <code>Transaction</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>monitor</code> - </dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/exception/StopExecutionException.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.exception">StopExecutionException</a></code></dd>
</dl>
</li>
</ul>
<a name="jobPostProcess--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>jobPostProcess</h4>
<pre>void&nbsp;jobPostProcess()
             throws <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/exception/StopExecutionException.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.exception">StopExecutionException</a></pre>
<div class="block">Method called from the job, after the transactional method.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/exception/StopExecutionException.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.exception">StopExecutionException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/IJobAndTransactionForDrop.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/DiagramNodeCreator.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/Messages.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui.dnd"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/reverse/ui/dnd/IJobAndTransactionForDrop.html" target="_top">Frames</a></li>
<li><a href="IJobAndTransactionForDrop.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
